<?xml version="1.0" encoding="utf-8"?>

<creole>

    <files>
        <file name='/etc/aaf.conf'/>
    </files>

    <containers>
        <container name="annuaire">
            <file name='/var/lib/eole/02_thot.ldif' mkdir='True'/>
        </container>
    </containers>

    <variables>

        <family name='general'>
            <variable name='eole_module' redefine='True' >
                <value>thot</value>
            </variable>
            <variable name='nombre_interfaces' redefine='True' mode='expert'/>
        </family>

        <family name='services'>
            <variable name='activer_apache' redefine='True'>
                <value>non</value>
            </variable>
            <variable name='activer_mysql' redefine='True' hidden='True'/>
            <variable name='activer_client_ldap' redefine='True' hidden='True'/>
        </family>

        <family name='système'>

            <!-- We need to recalculate the variables -->
            <variable name='eole_lv_names' redefine='True' remove_check='True' />
            <variable name='eole_lv_standard_extends' redefine='True' remove_check='True' />

        </family>

        <family name='Interface-0'>
            <variable name='eth0_method' redefine='True' hidden='True'>
                <value>statique</value>
            </variable>
        </family>

        <family name='annuaire'>
            <variable name='ldap_base_dn' auto_freeze='True' redefine='True'>
                <value>dc=eole,dc=lan</value>
            </variable>
        </family>

        <family name='sdet' icon='reorder'>
            <variable name='code_ent' type='string' description="Code du projet ENT" mandatory='True' auto_freeze='True'/>
            <variable name='autoritary_source' type='string' description="Identifiant de la source autoritaire représentant le SI du MEN" mandatory='True' auto_freeze='True'/>
        </family>

        <family name='openldap'>
            <variable name='ldap_replication' redefine='True' hidden='True'/>
            <variable name='ldap_schema' redefine='True'>
                <value>sdet</value>
            </variable>
        </family>

        <family name='eole-sso'>
            <variable name='ead_sso' redefine='True'>
                <value>non</value>
            </variable>
        </family>

        <separators />

    </variables>

    <constraints>

        <fill name='calc_val' target='autoritary_source'>
            <param type='eole' name='valeur'>nom_academie</param>
        </fill>

        <check name='valid_regexp' target='code_ent'>
            <param>^[A-Z][0-9A-F]$</param>
        </check>

        <!-- Default AmonEcole* logical volumes -->
        <auto name='calc_multi_val' target='eole_lv_names'>
            <param>root</param>
            <param>tmp</param>
            <param>var</param>
            <param>home</param>
        </auto>

        <!-- Default AmonEcole* logical volumes extension: 100% /home -->
        <auto name='calc_multi_val' target='eole_lv_standard_extends'>
            <param type='number'>0</param>
            <param type='number'>0</param>
            <param type='number'>100</param>
            <param type='number'>0</param>
        </auto>

    </constraints>

    <help>
        <family name='sdet'>Paramètres nécessaires à la mise en oeuvre des préconisations du Schéma Directeur des Espaces numériques de Travail</family>
        <variable name='code_ent'>Code de l'ENT tel que défini dans l'Annexe Interopérabilité du SDET</variable>
        <variable name='autoritary_source'>Pour l'alimentation depuis le SI du MEN, l'identifiant doit être de la forme AC-ACAD</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
